public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-doc/doxygen/files/, app-doc/doxygen/
Date: Sun, 30 Jun 2019 18:44:51 +0000 (UTC)	[thread overview]
Message-ID: <1561920279.6e116e8341410a10ba4de4e147649b45d4af204a.tamiko@gentoo> (raw)

commit:     6e116e8341410a10ba4de4e147649b45d4af204a
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 30 18:37:17 2019 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Sun Jun 30 18:44:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e116e83

app-doc/doxygen: version bump to 1.8.15

Thanks to Sven Eden for patches!

Closes: https://bugs.gentoo.org/682486
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 app-doc/doxygen/Manifest                           |   1 +
 app-doc/doxygen/doxygen-1.8.15.ebuild              | 134 +++++++++++++++++++++
 .../files/doxygen-1.8.15-link_with_pthread.patch   |  32 +++++
 app-doc/doxygen/files/doxygen-1.8.15-llvm7.patch   |  11 ++
 4 files changed, 178 insertions(+)

diff --git a/app-doc/doxygen/Manifest b/app-doc/doxygen/Manifest
index 1131255da45..00101540bde 100644
--- a/app-doc/doxygen/Manifest
+++ b/app-doc/doxygen/Manifest
@@ -1 +1,2 @@
 DIST doxygen-1.8.14.src.tar.gz 4877980 BLAKE2B 9886e5165188548e0c8a3760a53709615385ab175795d07156584f3878996c8c5f18e439b6e45352a32ba5cd40e9b7fdb29cdf86511e1be70b18315069e33377 SHA512 5fac7e457a51b1f8e39fb65de5e0c07633e573f74e876580e7bcad5693540d6970fde1b2cb799a4df6ab9dfca951ece15b76b3010134d7658db3500183bea85c
+DIST doxygen-1.8.15.src.tar.gz 5097791 BLAKE2B 08903bf06666911df0810ea0a7b86066e7682833b03ae5660094112c5c6506f072c5818185ce8166d09328e62092461acdb4516b58fe9369119f5f6bdd64331a SHA512 a5512e78be66c1591d8ec7e284d5d25c92a97218c79e6fed3c538c723a8dfef4ff7085970bf271a6b639e907157cd4df9fb55d3c975f8d3302fb1012a4d92079

diff --git a/app-doc/doxygen/doxygen-1.8.15.ebuild b/app-doc/doxygen/doxygen-1.8.15.ebuild
new file mode 100644
index 00000000000..d609aec89e6
--- /dev/null
+++ b/app-doc/doxygen/doxygen-1.8.15.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit cmake-utils eutils python-any-r1
+if [[ ${PV} = *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/doxygen/doxygen.git"
+	SRC_URI=""
+else
+	SRC_URI="http://doxygen.nl/files/${P}.src.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Documentation system for most programming languages"
+HOMEPAGE="https://www.stack.nl/~dimitri/doxygen/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="clang debug doc dot doxysearch latex qt5 sqlite userland_GNU"
+
+RDEPEND="app-text/ghostscript-gpl
+	dev-lang/perl
+	media-libs/libpng:0=
+	virtual/libiconv
+	clang? ( >=sys-devel/clang-4.0.0:= )
+	dot? (
+		media-gfx/graphviz
+		media-libs/freetype
+	)
+	doxysearch? ( dev-libs/xapian:= )
+	latex? (
+		dev-texlive/texlive-bibtexextra
+		dev-texlive/texlive-fontsextra
+		dev-texlive/texlive-fontutils
+		dev-texlive/texlive-latex
+		dev-texlive/texlive-latexextra
+	)
+	qt5? (
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+		dev-qt/qtxml:5
+	)
+	sqlite? ( dev-db/sqlite:3 )
+	"
+
+REQUIRED_USE="doc? ( latex )"
+
+DEPEND="sys-devel/flex
+	sys-devel/bison
+	doc? ( ${PYTHON_DEPS} )
+	${RDEPEND}"
+
+# src_test() defaults to make -C testing but there is no such directory (bug #504448)
+RESTRICT="test"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.8.9.1-empty-line-sigsegv.patch" #454348
+	"${FILESDIR}/${PN}-1.8.15-link_with_pthread.patch"
+	"${FILESDIR}/${PN}-1.8.15-llvm7.patch" #666692
+	"${FILESDIR}/${PN}-1.8.14-xml-c++.patch" #doxygen/doxygen#6892
+)
+
+DOCS=( LANGUAGE.HOWTO README.md )
+
+pkg_setup() {
+	use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	# Ensure we link to -liconv
+	if use elibc_FreeBSD && has_version dev-libs/libiconv || use elibc_uclibc; then
+		local pro
+		for pro in */*.pro.in */*/*.pro.in; do
+			echo "unix:LIBS += -liconv" >> "${pro}" || die
+		done
+	fi
+
+	# Call dot with -Teps instead of -Tps for EPS generation - bug #282150
+	sed -i -e '/addJob("ps"/ s/"ps"/"eps"/g' src/dot.cpp || die
+
+	# fix pdf doc
+	sed -i.orig -e "s:g_kowal:g kowal:" \
+		doc/maintainers.txt || die
+
+	if is-flagq "-O3" ; then
+		ewarn
+		ewarn "Compiling with -O3 is known to produce incorrectly"
+		ewarn "optimized code which breaks doxygen."
+		ewarn
+		elog
+		elog "Continuing with -O2 instead ..."
+		elog
+		replace-flags "-O3" "-O2"
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-Duse_libclang=$(usex clang)
+		-Dbuild_doc=$(usex doc)
+		-Dbuild_search=$(usex doxysearch)
+		-Dbuild_wizard=$(usex qt5)
+		-Duse_sqlite3=$(usex sqlite)
+		)
+	use doc && mycmakeargs+=(
+		-DDOC_INSTALL_DIR="share/doc/${P}"
+		)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	if use doc; then
+		export VARTEXFONTS="${T}/fonts" # bug #564944
+
+		if ! use dot; then
+			sed -i -e "s/HAVE_DOT               = YES/HAVE_DOT    = NO/" \
+				{Doxyfile,doc/Doxyfile} \
+				|| die "disabling dot failed"
+		fi
+		cmake-utils_src_make -C "${BUILD_DIR}" docs
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+}

diff --git a/app-doc/doxygen/files/doxygen-1.8.15-link_with_pthread.patch b/app-doc/doxygen/files/doxygen-1.8.15-link_with_pthread.patch
new file mode 100644
index 00000000000..54c0a96e5e1
--- /dev/null
+++ b/app-doc/doxygen/files/doxygen-1.8.15-link_with_pthread.patch
@@ -0,0 +1,32 @@
+--- a/addon/doxysearch/CMakeLists.txt	2019-04-03 18:43:47.995610511 +0200
++++ b/addon/doxysearch/CMakeLists.txt	2019-04-03 18:45:27.730609191 +0200
+@@ -18,6 +18,7 @@
+                       ${ZLIB_LIBRARIES}
+ 		      ${WIN_EXTRA_LIBS}
+                       qtools
++                      pthread
+ )
+ 
+ add_executable(doxysearch.cgi
+@@ -27,6 +28,7 @@
+                       ${XAPIAN_LIBRARIES}
+                       ${ZLIB_LIBRARIES}
+ 		      ${WIN_EXTRA_LIBS}
++		      pthread
+ )
+ 
+ install(TARGETS doxyindexer doxysearch.cgi DESTINATION bin)
+--- a/addon/doxywizard/CMakeLists.txt	2019-04-03 18:43:59.139610364 +0200
++++ b/addon/doxywizard/CMakeLists.txt	2019-04-03 18:45:14.151609371 +0200
+@@ -102,9 +102,9 @@
+ )
+ 
+ if(Qt5Core_FOUND)
+-  target_link_libraries(doxywizard Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml)
++  target_link_libraries(doxywizard Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml pthread)
+ else()
+-  target_link_libraries(doxywizard ${QT_LIBRARIES} ${QT_QTMAIN_LIBRARY})
++  target_link_libraries(doxywizard ${QT_LIBRARIES} ${QT_QTMAIN_LIBRARY} pthread)
+ endif()
+ 
+ install(TARGETS doxywizard DESTINATION bin)

diff --git a/app-doc/doxygen/files/doxygen-1.8.15-llvm7.patch b/app-doc/doxygen/files/doxygen-1.8.15-llvm7.patch
new file mode 100644
index 00000000000..861c79a6b0d
--- /dev/null
+++ b/app-doc/doxygen/files/doxygen-1.8.15-llvm7.patch
@@ -0,0 +1,11 @@
+--- a/src/CMakeLists.txt	2019-04-04 06:51:41.509647160 +0200
++++ b/src/CMakeLists.txt	2019-04-04 06:52:08.413646804 +0200
+@@ -263,7 +263,7 @@
+     add_definitions(${LLVM_DEFINITIONS})
+     llvm_map_components_to_libnames(llvm_libs support core option)
+     target_compile_definitions(doxygen PRIVATE ${LLVM_DEFINITIONS})
+-    set(CLANG_LIBS libclang clangTooling ${llvm_libs})
++    set(CLANG_LIBS libclang clangTooling clangBasic clangLex ${llvm_libs})
+ endif()
+ 
+ target_link_libraries(doxygen


             reply	other threads:[~2019-06-30 18:44 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-30 18:44 Matthias Maier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-27  3:06 [gentoo-commits] repo/gentoo:master commit in: app-doc/doxygen/files/, app-doc/doxygen/ Sam James
2022-11-10  6:10 Sam James
2022-05-14 20:40 Matthias Maier
2021-09-15 22:03 James Le Cuirot
2020-12-10 19:14 Matthias Maier
2020-03-01 18:36 Matthias Maier
2019-12-12 19:46 Matthias Maier
2019-12-12 19:23 Matthias Maier
2019-10-28 16:20 Matthias Maier
2017-02-25 21:31 Matthias Maier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561920279.6e116e8341410a10ba4de4e147649b45d4af204a.tamiko@gentoo \
    --to=tamiko@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox